#ifndef CORE_PLANE_H
#define CORE_PLANE_H

#include "core/Vector.h"

typedef struct {
    Vector3 abc;
    float d;
} Plane;

void initPlane(Plane* p, const Vector3* a, const Vector3* b, const Vector3* c);
float signedDistance(const Plane* p, const Vector3* v);
size_t toStringPlane(const Plane* p, char* buffer, size_t n);

#endif
