#ifndef CORE_BOX_H
#define CORE_BOX_H

#include "core/Vector.h"

typedef struct {
    Vector3 min;
    Vector3 max;
} Box;

#define BOX ((Box){0})
void setBox(Box* box, const Vector3* size);
void offsetBox(Box* box, const Vector3* offset);
bool collidesWithBox(const Box* box, const Box* other);
void expandBox(Box* box, const Vector3* offset);
void growBox(Box* box, const Vector3* growth);
size_t toStringBox(const Box* box, char* buffer, size_t n);

#endif
